/*
 * pcpjtool.h --- toolbox.
 *
 * Copyright (c) 2000, 2001, 2002, 2015 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of Natch.
 *
 * Natch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Natch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef	PCPJTOOL_H
#define	PCPJTOOL_H

#include	"types.h"
#include	"langues.h"

void		printEchiquier( int nb );
char*		move_to_string( const UCHAR* coup, char* s );
char*		move_to_short_string( const UCHAR* coup, char* s );
char*           square_to_string(square_t square);
void		printCoup( const UCHAR* coup );
void		getOneAssociation( const piece_t* p, char* s );
void            getOneAssociationNoEnd(const piece_t* p, char* s);
void		writeAssociation( const char* comment );
void		mainBeginning( int nbHalfMoves );
void		mainEnd( eStringId message, unsigned long after_solution );

void dest_make_room(piece_t* p, unsigned int index, unsigned int nbPlaces);
void dest_remove_room(piece_t* p, unsigned int index, unsigned int nbPlaces);

void exit_with_error(char* error);

#endif /* PCPJTOOL_H */
