/*
 * test_moves_order_tools.h --- Tools for testing order of moves.
 *
 * Copyright (c) 2015 by Pascal Wassong All Rights Reserved.
 *
 * This file is part of Natch.
 *
 * Natch is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * Natch is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef TEST_MOVES_ORDER_TOOLS_H
#define TEST_MOVES_ORDER_TOOLS_H

#include "expltype.h"
#include "moves_order.h"

void find_pawns(
    const exploration_t* exploration,
    piece_index_t* white,
    piece_index_t* black);

void find_move_after_capture(
    piece_index_t captured_piece,
    const exploration_t* exploration,
    piece_index_t* before_piece_index,
    unsigned int* before_move_index);

bool_t add_one_order(
    struct moves_order_t* moves_order,
    piece_index_t before_piece_index,
    unsigned int before_move_index,
    move_type_t before_type,
    piece_index_t after_piece_index,
    unsigned int after_move_index,
    move_type_t after_type,
    const exploration_t* exploration,
    const char* description);

void print_eliminated_for_move_order(
    struct moves_order_t* moves_order,
    piece_index_t before_piece_index,
    unsigned int before_move_index,
    move_type_t before_type,
    piece_index_t after_piece_index,
    unsigned int after_move_index,
    move_type_t after_type,
    const exploration_t* exploration,
    const char* description);

#endif /* TEST_MOVES_ORDER_TOOLS_H */
